cURL
curl --request POST \
--url https://api.buildwithchirp.com/v1/organization/phone-numbers/{appId}/purchase \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phoneNumber": "+14155551234",
"numberType": "local"
}
'import requests
url = "https://api.buildwithchirp.com/v1/organization/phone-numbers/{appId}/purchase"
payload = {
"phoneNumber": "+14155551234",
"numberType": "local"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({phoneNumber: '+14155551234', numberType: 'local'})
};
fetch('https://api.buildwithchirp.com/v1/organization/phone-numbers/{appId}/purchase', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"phoneNumberId": "ph_2DbBs7GWhGvVNJGrDXr5RG0mBWI",
"appId": "app_2DbBs7GWhGvVNJGrDXr5RG0mBWI",
"number": "<string>",
"purchaseHistoryId": "ph_purch_2DbBs7GWhGvVNJGrDXr5RG0mBWI",
"createdAt": "<string>"
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}Phone Numbers
Purchase phone number
Purchase a phone number and add it to an app
POST
/
v1
/
organization
/
phone-numbers
/
{appId}
/
purchase
cURL
Authorizations
Admin API key (format: sk_admin_*) for organization-level operations
Path Parameters
Unique identifier for a App. Format: app_[test_]{ksuid}
Pattern:
^app_(?:test_)?[a-zA-Z0-9]{27}$Example:
"app_2DbBs7GWhGvVNJGrDXr5RG0mBWI"
Body
application/json
Response
Phone number purchased successfully
Unique identifier for a Phone Number. Format: ph_[test_]{ksuid}
Pattern:
^ph_(?:test_)?[a-zA-Z0-9]{27}$Example:
"ph_2DbBs7GWhGvVNJGrDXr5RG0mBWI"
Unique identifier for a App. Format: app_[test_]{ksuid}
Pattern:
^app_(?:test_)?[a-zA-Z0-9]{27}$Example:
"app_2DbBs7GWhGvVNJGrDXr5RG0mBWI"
Unique identifier for a Phone Number Purchase History. Format: ph_purch_[test_]{ksuid}
Pattern:
^ph_purch_(?:test_)?[a-zA-Z0-9]{27}$Example:
"ph_purch_2DbBs7GWhGvVNJGrDXr5RG0mBWI"
⌘I